Subject: bug#59902: 30.0.50; Image overlay is not updated until the cursor moves to the overlay

From: Ihor Radchenko <[email-masked]>
Date: Thu, 15 Dec 2022 14:31:05 +0000

Eli Zaretskii <[email-masked]> writes:

>> Practically, I'd prefer Emacs to provide a macro or extra argument that
>> binds all the necessary hooks when opening a file buffer. Maybe,
>> something similar to `delay-mode-hooks'.
>
> I don't think this is possible in practice, since only the application
> can know which hooks are or aren't needed.

I'd say that only the application can know which hooks _are_ needed.

For example, a common issue with Org + large number of small files is
running hooks. We do know that org-mode-hook may be needed for
correctness, while all other hooks are likely not needed for
non-interactive use (parsing the file contents).

So, it is not about disabling some hooks but rather about
enabling some known-in-advance hooks.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>